Skip to main content

Get Fee by id

GET 

/fees/:fee_id

Returns a single fee with its fee items.

Request

Path Parameters

    fee_id uuidrequired

    Fee identifier

Responses

OK

Schema

    id uuidrequired

    Fee identifier (parent of entries in fee_items[]; locate the fee that contains a good's vat.fee_item_id)

    name stringrequired

    Possible values: >= 2 characters and <= 64 characters

    Fee display name

    category FeeCategoryPublicDTO (string)required

    Possible values: [tax, unknown]

    Fee category

    application_rule FeeApplicationRulePublicDTO (string)required

    Possible values: [inclusive, unknown]

    How the fee is applied to the price

    fee_items

    object[]

    required

    Available tax rates for this fee. Empty array when no rates are defined for this fee.

  • Array [

  • id uuidrequired

    Fee item identifier; matches vat.fee_item_id on goods returned by catalog endpoints

    name stringrequired

    Possible values: >= 2 characters and <= 64 characters

    Display name

    percentage double

    Possible values: <= 100

    Tax rate in percent (decimal, e.g. 5 or 5.25). Absent when the fee item represents an exempt (non-percentage) rate.

  • ]

Loading...